PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## Block

> Words + extensions

`BLOCK``( block-u -- block-addr )``[ANS]` => `"[ANS] FORTH"`

  load the specified block into a block buffer and return the address of that block buffer - see also `BUFFER`

  primitive code = [p4_block]

`BUFFER``( block-u -- block-addr )``[ANS]` => `"[ANS] FORTH"`

  get the block buffer address for the specified block - if it had not been loaded already it is not filled with data from the disk unlike `BLOCK` does.

  primitive code = [p4_buffer]

`FLUSH``( -- )``[ANS]` => `"[ANS] FORTH"`

  call `SAVE-BUFFERS` and then unassign all block buffers with `EMPTY-BUFFERS`

  primitive code = [p4_flush]

`LOAD``( block-u -- ?? )``[FORTH]` => `"[ANS] FORTH"`

  `INTERPRET` the specified `BLOCK`

  primitive code = [p4_load]

`SAVE-BUFFERS``( -- )``[ANS]` => `"[ANS] FORTH"`

  write all modified buffer to the disk, see `UPDATE` and `FLUSH`

  primitive code = [p4_save_buffers]

`UPDATE``( -- )``[ANS]` => `"[ANS] FORTH"`

  mark the current block buffer as modified, see `FLUSH`

  primitive code = [p4_update]

`EMPTY-BUFFERS``( -- )``[ANS]` => `"[ANS] FORTH"`

  unassign all block buffers, does not even `UPDATE`

  primitive code = [p4_empty_buffers]

`LIST``( block-u -- )``[ANS]` => `"[ANS] FORTH"`

  display the block

  primitive code = [p4_list]

`THRU``( block1-u block2-u -- )``[ANS]` => `"[ANS] FORTH"`

  `LOAD` a number of block in sequence.

  primitive code = [p4_thru]